Loading...
Searching...
No Matches
rannacherturekbasis.hh File Reference
`#include <dune/common/exceptions.hh>`
`#include <dune/grid/common/capabilities.hh>`
`#include <dune/localfunctions/common/localfiniteelementvariant.hh>`
`#include <dune/localfunctions/rannacherturek.hh>`
`#include <dune/localfunctions/crouzeixraviart.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/leafprebasismixin.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::RannacherTurekPreBasis< GV >
| Pre-basis for a Rannacher-Turek basis. More...
class | Dune::Functions::RannacherTurekNode< GV >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV>
using | Dune::Functions::RannacherTurekBasis = DefaultGlobalBasis<RannacherTurekPreBasis<GV> >
| Rannacher-Turek basis.

## Functions

template<class Dummy = void>
auto | Dune::Functions::BasisFactory::rannacherTurek ()
| Create a pre-basis factory that can create a Rannacher-Turek pre-basis.